<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__crypto__ecc__key" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_crypto_ecc_key</compoundname>
    <includes local="no">cy_crypto_common.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__crypto__ecc__key_1aa68f4c207007e6e1256d6bf1994f59d3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__crypto__data__structures_1ga7b3a08afd0127d33b1110cdb536abdd3">cy_en_crypto_ecc_key_type_t</ref></type>
        <definition>cy_en_crypto_ecc_key_type_t cy_stc_crypto_ecc_key::type</definition>
        <argsstring />
        <name>type</name>
        <briefdescription>
<para>Type of key, PK_PRIVATE or PK_PUBLIC. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="642" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="642" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__ecc__key_1ad999a0c46de4f1a4bc0c48313bc5b308" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__crypto__lld__asymmetric__enums_1ga03e136772067494dd44c027b354ce41b">cy_en_crypto_ecc_curve_id_t</ref></type>
        <definition>cy_en_crypto_ecc_curve_id_t cy_stc_crypto_ecc_key::curveID</definition>
        <argsstring />
        <name>curveID</name>
        <briefdescription>
<para>See <ref kindref="member" refid="group__group__crypto__lld__asymmetric__enums_1ga03e136772067494dd44c027b354ce41b">cy_en_crypto_ecc_curve_id_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="644" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="644" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__ecc__key_1afb96fbe3e9ba91a3744cfcb5d653e7f5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__crypto__ecc__point">cy_stc_crypto_ecc_point</ref></type>
        <definition>cy_stc_crypto_ecc_point cy_stc_crypto_ecc_key::pubkey</definition>
        <argsstring />
        <name>pubkey</name>
        <briefdescription>
<para>The public key. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="646" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="646" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__ecc__key_1ad01fbcfdfa38d51908420fdbd3c33366" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_stc_crypto_ecc_key::k</definition>
        <argsstring />
        <name>k</name>
        <briefdescription>
<para>The private key. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="648" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="648" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>An ECC key. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="100">
        <label>cy_stc_crypto_ecc_key</label>
        <link refid="structcy__stc__crypto__ecc__key" />
        <childnode refid="101" relation="usage">
          <edgelabel>pubkey</edgelabel>
        </childnode>
      </node>
      <node id="101">
        <label>cy_stc_crypto_ecc_point</label>
        <link refid="structcy__stc__crypto__ecc__point" />
      </node>
    </collaborationgraph>
    <location bodyend="649" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="640" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="640" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__crypto__ecc__key_1ad999a0c46de4f1a4bc0c48313bc5b308" virt="non-virtual"><scope>cy_stc_crypto_ecc_key</scope><name>curveID</name></member>
      <member prot="public" refid="structcy__stc__crypto__ecc__key_1ad01fbcfdfa38d51908420fdbd3c33366" virt="non-virtual"><scope>cy_stc_crypto_ecc_key</scope><name>k</name></member>
      <member prot="public" refid="structcy__stc__crypto__ecc__key_1afb96fbe3e9ba91a3744cfcb5d653e7f5" virt="non-virtual"><scope>cy_stc_crypto_ecc_key</scope><name>pubkey</name></member>
      <member prot="public" refid="structcy__stc__crypto__ecc__key_1aa68f4c207007e6e1256d6bf1994f59d3" virt="non-virtual"><scope>cy_stc_crypto_ecc_key</scope><name>type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>